package util;

import java.util.regex.Pattern;

public class RegularExpression {
	
	  public static boolean isDouble(String str) { 
		  Pattern pattern = Pattern.compile("^[-\\+]?[.\\d]*$"); 
		  return pattern.matcher(str).matches();
	  }
	  
	  public static boolean isInteger(String str) {
		  Pattern pattern = Pattern.compile("^[-\\+]?[\\d]*$");
		  return pattern.matcher(str).matches();
	  }
	  
	  public static boolean isNumber(String str) {
		  return isDouble(str) || isInteger(str);
	  }

}
